@echo off

setlocal
set CURRENT_DIR=%cd%
 


if "%EIAM_HOME%" == "" goto noLoc
if empty%1==empty goto :Usage


set eemHost=%computername%
set username=EiamAdmin
set globalsetting=No
set password=
 


:CheckArg 
 
if empty%1==empty goto :start

set MyArg=%~1
call set eemOption=%MyArg:~0,2%
call set eemValue=%MyArg:~2%
call set eemOption1=%eemOption:~0,1%

if /I "%eemOption1%"=="-" goto :CheckOptions
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : Invalid Arguments. Run aborted
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : 
@echo : 
@echo : The Argument prefix "%eemOption1%" is incorrect. It must be "-"  
@echo : Please enter the argument "%MyArg%" correctly and re-run the script
@echo : 
@echo : 
@echo : 

goto :Usage


:CheckOptions

if /I "%eemOption%"=="-h" goto :Usage

if /I "%eemOption%"=="-m" set operation=%eemValue% 
if /I "%eemOption%"=="-u" set username=%eemValue%
if /I "%eemOption%"=="-p" set password=%eemValue%
if /I "%eemOption%"=="-a" set applicationInstance=%eemValue%
if /I "%eemOption%"=="-f" set xmlFile=%eemValue%
if /I "%eemOption%"=="-e" set eemHost=%eemValue%
if /I "%eemOption%"=="-r" set unregister=%eemValue%
if /I "%eemOption%"=="-g" set globalsetting=%eemValue%


shift
goto  :CheckArg 


 
 


 
:start

@echo off 

if NOT empty%password%==empty goto :CallScript

@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : Missing Argument. Run aborted
@echo ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: 
@echo : 
@echo : Eiam passsword is missing. This is required field
@echo : Please enter password using -p option and re-run the script
@echo : 
@echo : 
goto :Usage  


:CallScript
call cscript //NoLogo   eem_safex.vbs "/F:%xmlFile%" "/M:%operation%" "/A:%applicationInstance%" "/U:%username%" "/P:%password%" "/H:%eemHost%" "/R:%unregister%" "/G:%globalsetting%"

@echo off
goto :Bye

 
 


:noLoc
@echo EEM environment is not correctly setup to import or export Application Instance
@echo Please run it on the server where EEM is installed.
 
goto Bye


 
 
 

:Usage
:help
@echo :
@echo : This utility is to Export / Import EEM Application Instance which
@echo : is configured to use External Directory.
@echo :
@echo :
@echo : eem_safex -m{mode} -u{username} -p{password} -a{applicationInstance}
@echo : Required Arguments 
@echo :   -m{Export or Import} = Required argument
@echo :   -p{password}  Required parameter           
@echo :   -a{ApplicationInstance Name} Required parameter for Export Mode.
@echo :                                Obsolete for Import mode   
@echo :
@echo :
@echo :   
@echo :   -u{username}      EEM Username - Defaults to EiamAdmin
@echo :   -e{EEM Server} -  Defaults to computername
@echo :   -r{Yes or No}  -  For Import if specified deletes applicaiton instance 
@echo :                     prior to import
@echo :   -g{Yes or No}  -  Export Global Settings - External Directory Settings
@echo :                      Defaults to No and only applicable for Export Mode 
@echo :   -f{xml fileame} - Optional parameter - If specified overrides the default
@echo :                     xml file name.
@echo :  
@echo :
@echo : eem_safex -mExport -uEiamAdmin -pmypassword -aclu-apps10 
@echo : eem_safex -mImport -uEiamAdmin -pmypassword -emyDREEMServer
@echo :


:Bye
 