'##########################################################################
'#                                                                           
'#                              
'#               Proprietary and Confidential Information                    
'#                                                                           
'# This material contains, and is part of a computer software program        
'# which is, proprietary and confidential information owned by CA Technologies.     
'# The  program, including this material, may not be duplicated, disclosed or     
'# reproduced in whole or in part for any purpose without the express        
'# written authorization of CA Technologies.. All authorized reproductions        
'# must be marked with this legend.                                                  
'#                                                                           
'#                        Copyright (c) 1995-2006                            
'#                                  CA                                       
'#                   The Software That Manages eBusiness                     
'#                          All rights reserved                              
'#                                                                           
'# ------------------------------------------------------------------------  
'#                                                                           
'# This file contains configuration information which must not be changed.   
'# If this file is changed by any person other than an authorized CA         
'# employee this software may not function properly.                         
'##########################################################################
'#                 CA        Copyright (c)2007
'#
'#
'# File:        eem_safex.VBS
'# Created:     November 2010
'# Version:     1.0
'#
'# Main Function:
'#              Formulates Export / Import
'#
'# Author: Yatin Dawada
'# Referenced:
'#      eem_safex.cmd
'##########################################################################
'# Updates: 
'#   
'#               
'##########################################################################


        Option Explicit
        On Error Resume Next

        'Define constants
        Const CONST_RELEASE   = "1.0b"
        Const CONST_MAXREC    = 200
        Const CONST_QUOTE     = """"
        Const CONST_DEBUGLOG  = "Logs\EEMsafex_script.log"   
        Const CONST_SAFERLOG  = "Logs\safex_run.log"   
        Const CONST_SAFEELOG  = "Logs\safex_error.log"
        Const CONST_TEMPLATEFILENAME = "template_export.xml"   

        
                         
        Dim colNamedArguments
        Dim strArgsValue
        
               
        Dim WshShell
        Dim oFS
        Dim WshSysEnv
        
        
        Dim strSCRIPTPATH
        Dim strCOMMAND
        Dim strCOMPUTERNAME
 
        Dim strAPPLICATIONINSTANCE
        Dim strUSERNAME
        Dim strPASSWORD
        Dim strMODE
        Dim strEEMHOST
        Dim strXMLFILE 
        Dim strUNREGISTER
        Dim strGLOBALSETTING
        Dim strTemp
               
        Dim bDEBUG
        Dim bEXPORT
        Dim bUNREGISTER
        
        Dim iLOOPCNT 
        Dim irc
        Dim i
		Dim iLen
		Dim iPOS
        
        Dim oDFile 
        Dim oIFile
        Dim oWFile
 
        
        Dim strFileName

 


        bDEBUG = True
        bUNREGISTER = False
        strGLOBALSETTING = "n"
 
        
 
  
        
  
        Set colNamedArguments = WScript.Arguments.Named


        Set WshShell = WScript.CreateObject("WScript.Shell")
        Set oFS =  CreateObject("Scripting.FileSystemObject")
        Set WshSysEnv = WshShell.Environment("System")        

        strSCRIPTPATH = oFS.GetAbsolutePathName(".")    

 

        strMODE = colNamedArguments.Item("M")
        strUSERNAME = colNamedArguments.Item("U")
        strPASSWORD = colNamedArguments.Item("P")
        strAPPLICATIONINSTANCE = colNamedArguments.Item("A")    
        strXMLFILE = colNamedArguments.Item("F") 
        strEEMHOST = colNamedArguments.Item("H") 
        strUNREGISTER = colNamedArguments.Item("R") 
        strGLOBALSETTING  = colNamedArguments.Item("G")         
                 
        strMODE = Trim(strMODE)
        strMODE = LCase(strMODE)
        strUSERNAME = Trim(strUSERNAME)
        strPASSWORD = Trim(strPASSWORD)
        strAPPLICATIONINSTANCE = Trim(strAPPLICATIONINSTANCE)          
        strXMLFILE = Trim(strXMLFILE)          
        strEEMHOST = Trim(strEEMHOST)       
        strUNREGISTER = Trim(strUNREGISTER) 
        strUNREGISTER = LCase(strUNREGISTER) 
        strGLOBALSETTING = Trim(strGLOBALSETTING) 
        strGLOBALSETTING = LCase(strGLOBALSETTING) 
         
                
        If (bDEBUG) Then
            Set oDFile = oFS.OpenTextFile(CONST_DEBUGLOG, 2, True)   
        End If  
           
           
           
        Log("EEMBACKUP: Mode[" & strMODE & "] EEMHost[" & strEEMHOST & "] ApplicationInstance[" & strAPPLICATIONINSTANCE & "] XMLFile[" & strXMLFILE & "] UserName[" & strUSERNAME & "] Register[" & strUNREGISTER  & "] ScriptPath[" & strSCRIPTPATH  & "] GlobalSetting[" & strGLOBALSETTING  & "]")

        bEXPORT = True
        If (StrComp(strMODE, "export", 1) = 0) Then
            bEXPORT = True
        ElseIf (StrComp(strMODE, "import", 1) = 0) Then
            bEXPORT = False
        Else
            DisplayUsage       
        End If    


        If (Len(strUNREGISTER) > 0) Then
            
            If (StrComp(strUNREGISTER, "yes", 1) = 0) Then
             bUNREGISTER = True
             
            End If

        End IF
        
        If (Len(strGLOBALSETTING) > 0) Then
            
            If (StrComp(strGLOBALSETTING, "yes", 1) = 0) Then
             strGLOBALSETTING = "y"
            Else
              strGLOBALSETTING = "n"
            
            End If

        End IF      
        
        
        If (Len(strXMLFILE) = 0) Then
            strXMLFILE = "XML\EEM_export.xml"
           
        Else
            strTemp = "XML\" & strXMLFILE
            strXMLFILE = strTemp               

        End If
        

        If (Len(strAPPLICATIONINSTANCE) = 0) Then
            If (bEXPORT) Then
                Log("Main: Application Instance name is not specified. Run Aborted") 
                WScript.Echo   vbCrLf & vbCrLf & "%EEMBack_E_001 Application Instance is missing. Run Aborted"
                WScript.quit (9)          
            End If
        End IF


        Log("Main: Started Mode Export=" & bEXPORT)
      
 
 
 
 
 
        strCOMPUTERNAME = WshShell.ExpandEnvironmentStrings("%COMPUTERNAME%")
   
         
  

 

        '#################################################################
        '#     Process Functions
        '#################################################################       
 
  
  
 
        If (bEXPORT) Then
       
            strFileName       = strSCRIPTPATH  & "\Templates\" & CONST_TEMPLATEFILENAME
     
            If (oFS.FileExists(strFileName)) Then
                 EEMBACKUP()
            Else
                Log("Main :Template File is missing " &  strFileName & " . Run Aborted") 
                WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_002 Invalid Template file - " &  strFileName & " . Run cannot continue."
                WScript.quit (9)            
            End If
       
        Else
            strFileName       = strSCRIPTPATH  & "\" & strXMLFILE
            
            If (oFS.FileExists(strFileName)) Then
                 Log("Main: Calling EEMIMPORT for importing content " &  strFileName  & " .") 
                 EEMIMPORT()
            Else
                Log("Main Import File is missing " &  strFileName & " . Run Aborted") 
                WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_003 Invalid Import file - " &  strFileName & " . Import cannot continue."
                WScript.quit (9)            
            End If

     
 
        
        End If     

        WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_025 Run completed - "  & Now
              

        WScript.quit (0)   
 
'#################################################################
'#    EEMBACKUP
'#    Setup EEM DataStore failover
'#################################################################

Function EEMBACKUP()

    On Error Resume Next

    Dim strOutPutFileName
    Dim strTemplateFileName
    Dim strRecord
    Dim strBuffer
    Dim strSafex
    Dim bExportTemplate
 



    bExportTemplate = False
 

    
    WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_I_018 Export Started at " & Now 

   

    strTemplateFileName = strSCRIPTPATH & "\Templates\" & CONST_TEMPLATEFILENAME   
    strOutPutFileName  =  strSCRIPTPATH &  "\stage\safex_export.xml"
    Log "EEMBACKUP: Entered Template File[" &   strTemplateFileName & "] OutputFile[" & strOutPutFileNam & "]"
 
    If (NOT oFS.FileExists(strTemplateFileName)) Then
          Log "EEMBACKUP: Template File " & strTemplateFileName & " is missing. Run is aborted."   
          WScript.Echo "%EEMBack_E_004 Template file - " &  strTemplateFileName& " is missing. Export cannot continue."
          Exit Function 
 
    End If

 
    If (oFS.FileExists(strOutPutFileName)) Then
       oFS.DeleteFile strOutPutFileName, False
    End If
  

 
    Set oIFile = oFS.OpenTextFile(strTemplateFileName, 1, 0)
    Set oWFile = oFS.OpenTextFile(strOutPutFileName, 2, 1 , 0)

   
    iLOOPCNT    = 0
 
    Do While oIFile.AtEndOfLine <> True
    

        iLOOPCNT  =  iLOOPCNT  + 1
        If (iLOOPCNT > CONST_MAXREC) Then
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_017 unable to excute Export due to Setup error. Run is aborted"

            Exit Function 

        End If

 
	
     
   
        strRecord = oIFile.ReadLine
        strBuffer = strRecord

       
 
        Log "EEMBACKUP: Rec[" & strRecord & "]"   
 
        If ((InStr(1, strBuffer, "@@application@@", 1)) > 0) Then
           strRecord = Replace(strBuffer, "@@application@@",  strAPPLICATIONINSTANCE, 1, -1, vbTextCompare) 
           strBuffer = strRecord
        End If       
        
        If ((InStr(1, strBuffer, "@@globalsettings@@", 1)) > 0) Then
            strRecord = Replace(strBuffer, "@@globalsettings@@",  strGLOBALSETTING, 1, -1, vbTextCompare) 
            strBuffer = strRecord           
        End If

        If ((InStr(1, strBuffer, "@@exportfilename@@", 1)) > 0) Then
           strRecord = Replace(strBuffer, "@@exportfilename@@",  strXMLFILE, 1, -1, vbTextCompare) 
             
        End If

       If ((InStr(1, strBuffer, "<Export", 1)) > 0) Then
             bExportTemplate = True
             Log "EEMBACKUP: Export Template Detected"   
            
        End If

             
        oWFile.WriteLine strRecord

    Loop      


    
    oIFile.Close
    oWFile.Close
    
    strSafex        = WshSysEnv("EIAM_HOME")  & "\bin\safex.exe" 
    Log "EEMBACKUP:Safex Location " & strSafex 
    If (NOT oFS.FileExists(strSafex )) Then
          Log "EEMBACKUP: safex.cmd " & strSafex & " is missing. Run is aborted."   
          WScript.Echo "%EEMBACK_E_023 Unable to locate safex.exe command - " &  strSafex & " is missing. EEM may not be installed on this server. Run is aborted"
          Exit Function 
 
    End If     
     
     
     
    If (bEXPORT) Then
        If (bExportTemplate) Then  


            strCOMMAND = "%comspec% /C " &   CONST_QUOTE & strSafex  & CONST_QUOTE  & " -h "  & strEEMHOST   & " -u "   & strUSERNAME &   " -p "    & strPASSWORD  & " -f stage\safex_export.xml" & " 1>" & CONST_SAFERLOG & " 2>" & CONST_SAFEELOG 
            Log "EEMBACKUP: Executing safex Command  - "  & strCOMMAND  
 
            
      
            RunCmd( strCOMMAND )

            Log "EEMBACKUP Executing safex Command  completed status: "  & irc
          
            Log "EEMBACKUP: Return code-"  & irc 
            If (irc > 0) Then
                WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_005 Please review export messages displayed below. The return code from import run is " & irc & " which indicates it may have issues"
            Else
                 WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_I_006 Export completed at " & Now               
            End If         

            DisplayLog  
            
        End If
    Else
    
            Log "EEMBACKUP: Please review options. Template does not match Mode option Export " & bEXPORT & " Template " & bExportTemplate
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_007 Template is not of correct format for Export. Run cannot continue."
    End If
    
    
    
    Log "EEMBACKUP: Exit "     
End Function

'#################################################################
'#    EEMIMPORT
'#    Setup EEM DataStore failover
'#################################################################

Function EEMIMPORT()

    On Error Resume Next

    Dim strImportFileName
    Dim strSafex
  
    
    
    WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_I_019 Import Started at " & Now    
    
    If (oFS.FileExists("Logs\EEM_import_run.log")) Then
       oFS.DeleteFile "Logs\EEM_import_run.log", False
    End If    
     
    strImportFileName = strSCRIPTPATH &  "\" & strXMLFILE  
    Log "EEMIMPORT: Import FileName[" &   strImportFileName & "]" 
 
    If (NOT oFS.FileExists(strImportFileName)) Then
         WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_008 Import File " & strTemplateFileName & " is missing. Import cannot continue."
         Log "EEMIMPORT: Import File " & strTemplateFileName & " is missing. Run is aborted."

          Exit Function 
 
    End If

 
 




    If (bUNREGISTER) Then
        EEMUnregister()
     End If
     
    strSafex        = WshSysEnv("EIAM_HOME")  & "\bin\safex.exe" 
    Log "EEMIMPORT:Safex Location " & strSafex 
     
    If (NOT oFS.FileExists(strSafex )) Then
          Log "EEMIMPORT: safex.cmd " & strSafex & " is missing. Run is aborted."   
          WScript.Echo "%EEMBACK_E_023 Unable to locate safex.exe command - " &  strSafex & " is missing. EEM may not be installed on this server. Run is aborted"
          Exit Function 
 
    End If       
    
    strCOMMAND =  "%comspec% /C " &  CONST_QUOTE & strSafex  & CONST_QUOTE  & " -h "  & strEEMHOST   & " -u "   & strUSERNAME &   " -p "    & strPASSWORD  & " -f " & strXMLFILE   & " 1>" & CONST_SAFERLOG & " 2>" & CONST_SAFEELOG 
    Log "EEMIMPORT: Executing safex Command  - "  & strCOMMAND  
 
 
    RunCmd (strCOMMAND)

    Log "EEMIMPORT: Executing safex Command  completed status: " & irc 
    
 
     

    DisplayLog    
    
    Log "EEMIMPORT: Return code-"  & irc
    If (Not irc = 0) Then
        If (irc = 4 ) Then
         WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_024 The return code from import run is " & irc  & " which indicates it may have issues. You can rerun with -rYes switch which will unregister the Application Instance prior to import."
        
        Else
         WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_009 The return code from import run is " & irc  & " which indicates it may have issues. Please review messages display below from import run"
        End If 
    Else
 
         WScript.Echo  vbCrLf & vbCrLf & "%EEMBACK_I_010 Import completed at " & Now  
    End If         

 
    
    
    Log "EEMIMPORT: Exit "     
End Function
 

'#################################################################
'#    Unregister Application Instance prior to Import
'#     
'#################################################################

Function EEMUnregister()

    On Error Resume Next

    Dim strOutPutFileName
    Dim strTemplateFileName
    Dim strRecord
    Dim strBuffer
    Dim strSafex
 
    WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_I_020 Removing Application Instance prior to Import at " & Now    
    
    
    strTemplateFileName = strSCRIPTPATH &  "\Templates\template_unreg.xml"  
    strOutPutFileName  =  strSCRIPTPATH &  "\stage\safex_unregister.xml"
    Log "EEMUnregister: Entered Template File[" &   strTemplateFileName & "] OutputFile[" & strOutPutFileNam & "]"
 
    If (NOT oFS.FileExists(strTemplateFileName)) Then
          Log "EEMUnregister: Template File " & strTemplateFileName & " is missing. Run is aborted."  
          WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_011 Template file - " &  strTemplateFileName & " . Unregister cannot continue."
          Exit Function 
 
    End If

    Log "EEMUnregister: Calling GetAppInstance"  


    GetAppInstance() 
    
    
    Log "EEMUnregister: Application Instance from Export File [" &   sstrAPPLICATIONINSTANCE & "]"  
   
    If (strAPPLICATIONINSTANCE = "") Then
       Log "EEMUnregister: Entered Template File[" &   strTemplateFileName & "] OutputFile[" & strOutPutFileNam & "]"
       WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_009  Unable to obtain Application Instance. Import will continue without unregister."
       Exit Function
    
    End IF

 
    If (oFS.FileExists(strOutPutFileName)) Then
       oFS.DeleteFile strOutPutFileName, False
    End If
    If (oFS.FileExists("Logs\EEM_Unregister_run.log")) Then
       oFS.DeleteFile "Logs\EEM_Unregister_run.log", False
    End If





 
    Set oIFile = oFS.OpenTextFile(strTemplateFileName, 1, 0)
    Set oWFile = oFS.OpenTextFile(strOutPutFileName, 2, 1 , 0)

   
    iLOOPCNT    = 0
 
    Do While oIFile.AtEndOfLine <> True
    

        iLOOPCNT  =  iLOOPCNT  + 1
        If (iLOOPCNT > CONST_MAXREC) Then
            WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_012 Internal Error Unregister-001 - " &  strTemplateFileName & " . Unregister cannot continue."

            Exit Function 

        End If

 
	
     
   
        strRecord = oIFile.ReadLine
        strBuffer = strRecord

       
 
        Log "EEMUnregister: Rec[" & strRecord & "]"   
 
        If ((InStr(1, strBuffer, "@@application@@", 1)) > 0) Then
            strRecord = Replace(strBuffer, "@@application@@",  strAPPLICATIONINSTANCE, 1, -1, vbTextCompare)    
        End If

             
        oWFile.WriteLine strRecord

    Loop      


    
    oIFile.Close
    oWFile.Close
    
     
    
    strSafex        = WshSysEnv("EIAM_HOME")  & "\bin\safex.exe" 
    Log "EEMUnregister:Safex Location " & strSafex 
     
 

    strCOMMAND = "%comspec% /C " & CONST_QUOTE & strSafex  & CONST_QUOTE  & " -h "  & strEEMHOST   & " -u "   & strUSERNAME &   " -p "    & strPASSWORD  & " -f stage\safex_unregister.xml"  & " 1>" & CONST_SAFERLOG & " 2>" & CONST_SAFEELOG 
    Log "EEMUnregister: Executing safex Command  - "  & strCOMMAND  
 
 
    RunCmd ( strCOMMAND)

    Log "EEMUnregister:  Executing safex Command  completed status: " & irc 
       
    
    Log "EEMUnregister: Return code-"  & irc 
    If (irc > 0) Then
        WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_013 Please review eem_unregister.xml. The return code from unregiter run is " & irc & " which indicates it may have issues"
    Else
        WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_I_014 Application instance unregistered."
       
    End If         

    DisplayLog  
 
     
    Log "EEMUnregiter: Exit "     
End Function



'#################################################################
'#    GetAppInstance - Get Application Instance from Export XML file
'#     
'#################################################################

Function GetAppInstance()

    On Error Resume Next

    Dim strImportFileName
    Dim strRecord
    Dim strBuffer
 
    Log "GetAppInstance: Entered"
      
    strImportFileName = strSCRIPTPATH &  "\" & strXMLFILE  
 
    Log "GetAppInstance: Import File[" &   strImportFileName & "]"  
 
    If (NOT oFS.FileExists( strImportFileName)) Then
          Log "GetAppInstance: Import File " & strImportFileName & " is missing. Run is aborted."  
          WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_015 Import file - " &  strImportFileName & " is missing . Unregister cannot continue."
          Exit Function 
 
    End If
 
 
    Set oIFile = oFS.OpenTextFile(strImportFileName, 1, 0)
 

   
    iLOOPCNT    = 0
 
    Do While oIFile.AtEndOfLine <> True
    

        iLOOPCNT  =  iLOOPCNT  + 1
        If (iLOOPCNT > CONST_MAXREC) Then
            WScript.Echo vbCrLf & vbCrLf & "%EEMBack_E_016 Internal Error GetAppIntance-001 - " &  strImportFileName& " . Unregister cannot continue."

            Exit Function 

        End If

        strRecord = oIFile.ReadLine
        strBuffer = strRecord

        If ((InStr(1, strBuffer, "<ApplicationInstance", 1)) > 0) Then
            Log "GetAppInstance: Rec[" & strBuffer & "]"  
            iPOS =  InStr(1, strBuffer, "label=", 1)
            strBuffer = Mid( strBuffer,iPOS + 7)
            Log "GetAppInstance: ApplicationRec[" & strBuffer & "]"              
            iPOS = InStr(1, strBuffer, CONST_QUOTE, 1)
            strAPPLICATIONINSTANCE = Mid( strBuffer,1, iPOS - 1)
            strAPPLICATIONINSTANCE = Trim(strAPPLICATIONINSTANCE)  
            Log "GetAppInstance: ApplicationInstance Extracted[" & strAPPLICATIONINSTANCE & "]"                          
            oIFile.Close
            Exit Function
               
        
        End If

             
     

    Loop      


    
    oIFile.Close
 
     
   
    
    Log "GetApplication: Exit "     
End Function



'#################################################################
'#     RunCmd
'#################################################################

Private Sub RunCmd(strCOMMAND)

    On Error Resume Next
    '
    ' Delete Log files
    ' 
    DeleteLogFiles


    If (bDEBUG) Then
        Log "RunCmd: Running Command Script " & strCOMMAND
    End If



    irc = WshShell.Run("cmd /C " & strCOMMAND , 7, True)

    If (bDEBUG) Then
        Log "RunCmd: Run Completed rc=" & irc
    End If


End Sub

'#################################################################
'#     Delete Stdout stderror log files
'#################################################################


 
Function DeleteLogFiles()

    If (oFS.FileExists(CONST_SAFERLOG)) Then
       oFS.DeleteFile CONST_SAFERLOG, False
    End If

    If (oFS.FileExists(CONST_SAFEELOG)) Then
       oFS.DeleteFile CONST_SAFEELOG, False
    End If

 

End Function

 
 
'#################################################################
'#     DisplayLog
'#################################################################

Private Sub DisplayLog()

    On Error Resume Next
    Dim objFile
    Dim strLogFileName
    Log "DisplayLog: Entered"
    
    wscript.echo vbCrLf & vbCrLf  & "Displaying stdout"
    
     
    Err.Clear
    Set objFile = oFS.GetFile(CONST_SAFERLOG)
    If (Err <> 0) Then 
        oIFile.Close  

        If (Err.number = 70 ) Then
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_021 safex log files are in use. Please review them later on. Log file names -  " & CONST_SAFERLOG & " and " &  CONST_SAFEELOG
       
        Else 
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_022 Unable to display Log files. Please review the log file manually. Log file names -  " & CONST_SAFERLOG & " and " &  CONST_SAFEELOG
        End If
        Exit Sub

    End If  
    
   If (objFile.Size = 0) Then
    Log "DisplayLog: stdout is of zero length" 
    oIFile.Close  
 
   Else
           
    
    
        Set oIFile = oFS.OpenTextFile(CONST_SAFERLOG, 1, 0)
        If (Err <> 0) Then 
            If (Err.number = 70 ) Then
                WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_019 safex  log files are in use. Please review them later on. Log file names -  " & CONST_SAFERLOG & " and " &  CONST_SAFEELOG
                Exit Sub
            End If  
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_020 Unable to display Log files. Please review the log file manually. Log file names -  " & CONST_SAFERLOG & " and " &  CONST_SAFEELOG
            Exit Sub
        End If   

 
        iLOOPCNT    = 0
 
        Do While oIFile.AtEndOfLine <> True


            iLOOPCNT  =  iLOOPCNT  + 1
            If (iLOOPCNT > CONST_MAXREC) Then
                WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_018 unable to display to run log file"
                Exit Sub 

            End If

       
            WScript.Echo vbCrLf &  oIFile.ReadLine   
        Loop 
    
        oIFile.Close  
   
   End If  


    wscript.echo vbCrLf & vbCrLf  & "Displaying stderr"


    Set oIFile = oFS.OpenTextFile(CONST_SAFEELOG, 1, 0)

    Log "DisplayLog: Processing stderr log file"  

    iLOOPCNT    = 0



    Do While oIFile.AtEndOfLine <> True


        iLOOPCNT  =  iLOOPCNT  + 1
        If (iLOOPCNT > CONST_MAXREC) Then
            WScript.Echo vbCrLf & vbCrLf & "%EEMBACK_E_018 unable to display to stderr file"
            Exit Sub 

        End If

   
        WScript.Echo vbCrLf &  oIFile.ReadLine   
    Loop 
    
   oIFile.Close 
   


End Sub 
 

'#################################################################
'#    Debug
'#################################################################

Function Log(strMessage)

   '  WScript.Echo Now & ": " &  strMessage


    If (bDEBUG) Then 
          oDFile.WriteLine Now & ": " & strMessage
  
    End If


End Function




'#################################################################
'#    Usage
'#################################################################

Function DisplayUsage()

 
    MsgBox "This script performs EEM Export / Import functions." & vbCrLf & vbCrLf &  "Please execute eem_safex.cmd -h to get the usage information." & vbCrLf & vbCrLf & "This run is aborted due to missing required switches.", vbokonly , "EEM Export - Import Utility"  

    WScript.quit (9)

    

End Function

